name: Run tests
on:
  push:
    
permissions:
  contents: read

jobs:
  test:
    strategy:
      matrix:
        go: [stable, 1.25]
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v6
      - uses: actions/setup-go@v6
        with:
          go-version: ${{ matrix.go }}
      - name: golangci-lint
        uses: golangci/golangci-lint-action@v9
        with:
          go-version: ${{ matrix.go }}
          version: v2.6
